Subject: early sightings . . .

From: Dick Walton <[email-masked]>
Date: Tue, 26 Mar 1996 06:48:05 -0500

Middlesex Co., Massachusetts

Yesterday (Mar. 25) with temps soaring into thew 60s I observed a total of 8
Mourning Cloaks (aka Camberwell Beauty - Nymphalis antiopa), 3 Eastern Commas
(Polygonia comma), and 2 or 3 Compton's Tortoiseshell (N. vau-albim).

Numbers wise, this was above average for an early spring day. Is there any
research that suggests that overwintering adults have increased survivability
following winters with heavy snows (we set all-time records this year).

Cheers, Dick Walton